﻿using System;
using System.Collections.Generic;
using System.Xml.Serialization;
using System.Xml;
using MvvmDataBindingDemo.DomainModel;

namespace MvvmDataBindingDemo.Data
{
    public class Database
    {
        public List<Country> Countries { get; set; }

        public static Database Load(string fileName)
        {
            using (var reader = new XmlTextReader(fileName))
            {
                var serializer = new XmlSerializer(typeof(Database));
                return (Database)serializer.Deserialize(reader);
            }
        }
    }
}
